public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/libssh/
Date: Sat, 29 Jun 2019 21:34:24 +0000 (UTC)	[thread overview]
Message-ID: <1561844033.4d97f82d5ba9351db902435b7efc657d5c141cae.asturm@gentoo> (raw)

commit:     4d97f82d5ba9351db902435b7efc657d5c141cae
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 29 19:04:15 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jun 29 21:33:53 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d97f82d

net-libs/libssh: 0.9.0 version bump

Package-Manager: Portage-2.3.67, Repoman-2.3.16
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-libs/libssh/Manifest                           |  1 +
 .../{libssh-9999.ebuild => libssh-0.9.0.ebuild}    | 27 ++++++++++------------
 net-libs/libssh/libssh-9999.ebuild                 | 27 ++++++++++------------
 3 files changed, 25 insertions(+), 30 deletions(-)

diff --git a/net-libs/libssh/Manifest b/net-libs/libssh/Manifest
index fc0e59cb996..5364d75e205 100644
--- a/net-libs/libssh/Manifest
+++ b/net-libs/libssh/Manifest
@@ -1,2 +1,3 @@
 DIST libssh-0.8.6.tar.xz 433680 BLAKE2B f222e67676a90a2d2431463dc71859ad336a23a519b54e08fe368efe6322d0b9c8e393ec92d5246cb4721cd57bb955856fa6a2d92ffe71b6c35e2c94cde28762 SHA512 e91d1f4c1343aa232ade0fe4b5e9a92ca65e3716f4ebe2ec25b04def4fae5a3774349f05a6919836551f66fb0288ed6a3e19e0ab786c081616218be973356522
 DIST libssh-0.8.7.tar.xz 430104 BLAKE2B 8ad9455d81120726434a418abb74bfee53279040541cda50117909d43088ea992b9dbc7164b079dbe970b4348b967ed0d3f6352df98f60d1e6d9f14a086b5a40 SHA512 13c3dccad81d521edf29c8a5e2c5f7fdd90507a0eda652b2b040a0a17bab88860873e089a46e181907ea3f449ca1847b1c84453b1960f456e391eefe5be983c5
+DIST libssh-0.9.0.tar.xz 487628 BLAKE2B 43c9c889160089f8ab4ce9d486e1892ef9fb7941d7473baf2c27e3fe05da0299bd8a7fa5c4392f24411ec0970f61fc302fbe18b8c807efe07d65f6fc326467e3 SHA512 8c91b31e49652d93c295ca62c2ff1ae30f26c263195a8bc2390e44f6e688959507f609125d342ee8180fc03cec2d73258ac72f864696281b53ba9ad244060865

diff --git a/net-libs/libssh/libssh-9999.ebuild b/net-libs/libssh/libssh-0.9.0.ebuild
similarity index 88%
copy from net-libs/libssh/libssh-9999.ebuild
copy to net-libs/libssh/libssh-0.9.0.ebuild
index d88693448ce..19777b48ff3 100644
--- a/net-libs/libssh/libssh-9999.ebuild
+++ b/net-libs/libssh/libssh-0.9.0.ebuild
@@ -3,7 +3,6 @@
 
 EAPI=7
 
-MY_P="${PN}-${PV/_rc/rc}"
 inherit cmake-multilib
 
 DESCRIPTION="Access a working SSH implementation by means of a library"
@@ -13,7 +12,7 @@ if [[ "${PV}" == *9999 ]] ; then
 	inherit git-r3
 	EGIT_REPO_URI="https://git.libssh.org/projects/libssh.git"
 else
-	SRC_URI="https://www.libssh.org/files/$(ver_cut 1-2)/${MY_P}.tar.xz"
+	SRC_URI="https://www.libssh.org/files/$(ver_cut 1-2)/${P}.tar.xz"
 	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
 fi
 
@@ -43,8 +42,6 @@ DEPEND="${RDEPEND}
 
 DOCS=( AUTHORS README ChangeLog )
 
-S="${WORKDIR}/${MY_P}"
-
 PATCHES=( "${FILESDIR}/${PN}-0.8.0-tests.patch" )
 
 src_prepare() {
@@ -54,34 +51,34 @@ src_prepare() {
 	cmake_comment_add_subdirectory examples
 
 	# keyfile torture test is currently broken
-	sed -i \
-		-e '/torture_keyfiles/d' \
-		tests/unittests/CMakeLists.txt || die
+	sed -e "/torture_keyfiles/d" \
+		-i tests/unittests/CMakeLists.txt || die
 
 	# disable tests that take too long (bug #677006)
 	if use sparc; then
-		sed -i \
-			-e '/torture_threads_pki_rsa/d' \
-			-e '/torture_pki_dsa/d' \
-			tests/unittests/CMakeLists.txt || die
+		sed -e "/torture_threads_pki_rsa/d" -e "/torture_pki_dsa/d" \
+			-i tests/unittests/CMakeLists.txt || die
 	fi
+
+	sed -e "/^check_include_file.*HAVE_VALGRIND_VALGRIND_H/s/^/#DONT /" \
+		-i ConfigureChecks.cmake || die
 }
 
 multilib_src_configure() {
 	local mycmakeargs=(
-		-DUNIT_TESTING="$(usex test)"
+		-DWITH_NACL=OFF
+		-DWITH_STACK_PROTECTOR=OFF
+		-DWITH_STACK_PROTECTOR_STRONG=OFF
 		-DWITH_DEBUG_CALLTRACE="$(usex debug)"
 		-DWITH_DEBUG_CRYPTO="$(usex debug)"
 		-DWITH_GCRYPT="$(usex gcrypt)"
 		-DWITH_GSSAPI="$(usex gssapi)"
 		-DWITH_MBEDTLS="$(usex mbedtls)"
-		-DWITH_NACL=no
 		-DWITH_PCAP="$(usex pcap)"
 		-DWITH_SERVER="$(usex server)"
 		-DWITH_SFTP="$(usex sftp)"
-		-DWITH_STACK_PROTECTOR=OFF
-		-DWITH_STACK_PROTECTOR_STRONG=OFF
 		-DWITH_STATIC_LIB="$(usex static-libs)"
+		-DUNIT_TESTING="$(usex test)"
 		-DWITH_ZLIB="$(usex zlib)"
 	)
 

diff --git a/net-libs/libssh/libssh-9999.ebuild b/net-libs/libssh/libssh-9999.ebuild
index d88693448ce..19777b48ff3 100644
--- a/net-libs/libssh/libssh-9999.ebuild
+++ b/net-libs/libssh/libssh-9999.ebuild
@@ -3,7 +3,6 @@
 
 EAPI=7
 
-MY_P="${PN}-${PV/_rc/rc}"
 inherit cmake-multilib
 
 DESCRIPTION="Access a working SSH implementation by means of a library"
@@ -13,7 +12,7 @@ if [[ "${PV}" == *9999 ]] ; then
 	inherit git-r3
 	EGIT_REPO_URI="https://git.libssh.org/projects/libssh.git"
 else
-	SRC_URI="https://www.libssh.org/files/$(ver_cut 1-2)/${MY_P}.tar.xz"
+	SRC_URI="https://www.libssh.org/files/$(ver_cut 1-2)/${P}.tar.xz"
 	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
 fi
 
@@ -43,8 +42,6 @@ DEPEND="${RDEPEND}
 
 DOCS=( AUTHORS README ChangeLog )
 
-S="${WORKDIR}/${MY_P}"
-
 PATCHES=( "${FILESDIR}/${PN}-0.8.0-tests.patch" )
 
 src_prepare() {
@@ -54,34 +51,34 @@ src_prepare() {
 	cmake_comment_add_subdirectory examples
 
 	# keyfile torture test is currently broken
-	sed -i \
-		-e '/torture_keyfiles/d' \
-		tests/unittests/CMakeLists.txt || die
+	sed -e "/torture_keyfiles/d" \
+		-i tests/unittests/CMakeLists.txt || die
 
 	# disable tests that take too long (bug #677006)
 	if use sparc; then
-		sed -i \
-			-e '/torture_threads_pki_rsa/d' \
-			-e '/torture_pki_dsa/d' \
-			tests/unittests/CMakeLists.txt || die
+		sed -e "/torture_threads_pki_rsa/d" -e "/torture_pki_dsa/d" \
+			-i tests/unittests/CMakeLists.txt || die
 	fi
+
+	sed -e "/^check_include_file.*HAVE_VALGRIND_VALGRIND_H/s/^/#DONT /" \
+		-i ConfigureChecks.cmake || die
 }
 
 multilib_src_configure() {
 	local mycmakeargs=(
-		-DUNIT_TESTING="$(usex test)"
+		-DWITH_NACL=OFF
+		-DWITH_STACK_PROTECTOR=OFF
+		-DWITH_STACK_PROTECTOR_STRONG=OFF
 		-DWITH_DEBUG_CALLTRACE="$(usex debug)"
 		-DWITH_DEBUG_CRYPTO="$(usex debug)"
 		-DWITH_GCRYPT="$(usex gcrypt)"
 		-DWITH_GSSAPI="$(usex gssapi)"
 		-DWITH_MBEDTLS="$(usex mbedtls)"
-		-DWITH_NACL=no
 		-DWITH_PCAP="$(usex pcap)"
 		-DWITH_SERVER="$(usex server)"
 		-DWITH_SFTP="$(usex sftp)"
-		-DWITH_STACK_PROTECTOR=OFF
-		-DWITH_STACK_PROTECTOR_STRONG=OFF
 		-DWITH_STATIC_LIB="$(usex static-libs)"
+		-DUNIT_TESTING="$(usex test)"
 		-DWITH_ZLIB="$(usex zlib)"
 	)
 


             reply	other threads:[~2019-06-29 21:34 UTC|newest]

Thread overview: 188+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-29 21:34 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-25 21:21 [gentoo-commits] repo/gentoo:master commit in: net-libs/libssh/ Andreas Sturmlechner
2024-07-12 17:15 Sam James
2024-07-12 17:15 Sam James
2024-07-12 17:15 Sam James
2024-07-12 17:15 Sam James
2024-07-12 17:15 Sam James
2024-07-12 15:55 Sam James
2024-07-12 15:55 Sam James
2024-01-03 23:01 Andreas Sturmlechner
2023-12-27 22:58 Sam James
2023-12-27 22:58 Sam James
2023-12-26 17:34 Sam James
2023-12-26 17:34 Sam James
2023-12-26 17:34 Sam James
2023-12-26 17:34 Sam James
2023-12-19  5:42 Sam James
2023-05-12 21:53 Sam James
2023-05-12 21:53 Sam James
2023-05-12 21:53 Sam James
2023-05-12 21:53 Sam James
2023-05-12 20:29 Sam James
2023-05-12 20:28 Sam James
2023-05-12 20:28 Sam James
2023-05-12 20:28 Sam James
2022-10-06  9:14 Andreas Sturmlechner
2022-09-30 11:49 Agostino Sarubbo
2022-09-30 11:48 Agostino Sarubbo
2022-09-30 11:48 Agostino Sarubbo
2022-09-29 19:59 Sam James
2022-09-29 19:59 Sam James
2022-09-29 16:33 Arthur Zamarin
2022-09-29 16:33 Arthur Zamarin
2022-09-29 16:33 Arthur Zamarin
2022-09-14  7:35 Andreas Sturmlechner
2022-09-08  4:31 Sam James
2022-09-07 12:39 Andreas Sturmlechner
2022-09-07 12:39 Andreas Sturmlechner
2022-09-03  3:49 Sam James
2022-08-30 20:30 Sam James
2022-08-26 20:53 Andreas Sturmlechner
2022-08-26 20:53 Andreas Sturmlechner
2022-06-27 23:11 Sam James
2022-05-13 14:02 WANG Xuerui
2022-05-13 14:02 WANG Xuerui
2022-01-27 19:05 Sam James
2021-09-04 22:01 Andreas Sturmlechner
2021-09-03 21:17 Sam James
2021-09-03  6:40 Agostino Sarubbo
2021-09-03  6:34 Agostino Sarubbo
2021-09-01  9:33 Agostino Sarubbo
2021-09-01  8:20 Agostino Sarubbo
2021-09-01  8:18 Agostino Sarubbo
2021-08-26 19:30 Lars Wendler
2021-08-05  2:49 Yixun Lan
2021-05-02 10:16 Mikle Kolyada
2020-10-15 19:07 Andreas Sturmlechner
2020-10-15 18:40 Sergei Trofimovich
2020-10-03 15:04 Sam James
2020-10-02 21:51 Sam James
2020-10-02 21:36 Sam James
2020-10-01 22:55 Sergei Trofimovich
2020-09-29 21:25 Sergei Trofimovich
2020-09-29 18:46 Sam James
2020-09-29 11:41 Sam James
2020-09-13 18:25 Andreas Sturmlechner
2020-05-03 22:27 Andreas Sturmlechner
2020-04-11 16:16 Andreas Sturmlechner
2020-04-11 16:12 Agostino Sarubbo
2020-04-11 16:10 Agostino Sarubbo
2020-04-11 16:00 Agostino Sarubbo
2020-04-11 15:58 Agostino Sarubbo
2020-04-11 15:57 Agostino Sarubbo
2020-04-10 17:49 Mart Raudsepp
2020-04-10 17:37 Sergei Trofimovich
2020-04-09 11:22 Lars Wendler
2019-12-30 15:53 Agostino Sarubbo
2019-12-30 15:33 Agostino Sarubbo
2019-12-28 10:17 Sergei Trofimovich
2019-12-24 19:50 Aaron Bauman
2019-12-24 14:06 Mikle Kolyada
2019-12-21 10:32 Andreas Sturmlechner
2019-12-21 10:09 Andreas Sturmlechner
2019-12-20 12:51 Agostino Sarubbo
2019-12-20 12:50 Agostino Sarubbo
2019-12-19 18:35 Sergei Trofimovich
2019-12-19 15:44 Agostino Sarubbo
2019-12-12 17:00 Lars Wendler
2019-11-12  2:49 Andreas Sturmlechner
2019-11-12  1:51 Andreas Sturmlechner
2019-11-12  1:51 Andreas Sturmlechner
2019-11-12  1:51 Andreas Sturmlechner
2019-11-12  1:51 Andreas Sturmlechner
2019-10-26 10:52 Andreas Sturmlechner
2019-09-01 18:09 Mikle Kolyada
2019-08-13  6:48 Jeroen Roovers
2019-08-06 20:11 Andreas Sturmlechner
2019-08-03  2:37 Sergei Trofimovich
2019-08-01 19:23 Aaron Bauman
2019-07-31 15:02 Agostino Sarubbo
2019-07-31 15:00 Agostino Sarubbo
2019-07-31 13:10 Agostino Sarubbo
2019-07-31 12:06 Agostino Sarubbo
2019-07-31 11:59 Agostino Sarubbo
2019-07-31 11:59 Agostino Sarubbo
2019-07-21  2:08 Stefan Strogin
2019-05-14 17:53 Aaron Bauman
2019-05-01 20:24 Matt Turner
2019-04-17 20:01 Sergei Trofimovich
2019-04-17 12:21 Mikle Kolyada
2019-04-13  3:29 Michael Palimaka
2019-04-01 19:33 Andreas Sturmlechner
2019-02-28 10:58 Lars Wendler
2019-02-24 19:20 Markus Meier
2019-02-07 13:27 Mikle Kolyada
2019-02-03 18:52 Sergei Trofimovich
2019-01-31  8:49 Tobias Klausmann
2019-01-23 13:41 Mikle Kolyada
2019-01-16  7:15 Sergei Trofimovich
2018-12-28  9:43 Lars Wendler
2018-12-28  9:43 Lars Wendler
2018-12-15 12:50 Sergei Trofimovich
2018-12-15 11:43 Mikle Kolyada
2018-12-14 22:44 Sergei Trofimovich
2018-12-14  2:13 Thomas Deutschmann
2018-10-31 18:15 Andreas Sturmlechner
2018-10-31 17:17 Markus Meier
2018-10-29 13:08 Lars Wendler
2018-10-27 18:43 Sergei Trofimovich
2018-10-18 11:45 Tobias Klausmann
2018-10-18  2:18 Matt Turner
2018-10-18  2:18 Matt Turner
2018-10-17 19:01 Sergei Trofimovich
2018-10-17 16:10 Agostino Sarubbo
2018-10-17 12:07 Thomas Deutschmann
2018-10-16 17:08 Jeroen Roovers
2018-10-16 15:47 Andreas Sturmlechner
2018-10-16 15:47 Andreas Sturmlechner
2018-09-29 15:40 Andreas Sturmlechner
2018-09-21 16:13 Lars Wendler
2018-09-21 16:13 Lars Wendler
2018-09-15 21:44 Andreas Sturmlechner
2018-09-15 21:44 Andreas Sturmlechner
2018-09-03 12:11 Lars Wendler
2018-09-01  9:01 Jeroen Roovers
2018-08-14  8:04 Lars Wendler
2018-08-14  8:04 Lars Wendler
2018-08-10 14:14 Lars Wendler
2018-06-13 16:21 Lars Wendler
2018-06-13 16:21 Lars Wendler
2018-03-28 20:55 Matt Turner
2018-01-02  8:20 Lars Wendler
2017-08-19 10:50 Andreas Sturmlechner
2017-08-17 15:02 Andreas Sturmlechner
2017-08-15 14:46 Andreas Sturmlechner
2017-08-15 13:41 Andreas Sturmlechner
2017-06-10 15:10 Agostino Sarubbo
2017-05-27  6:59 Markus Meier
2017-05-24 13:46 Agostino Sarubbo
2017-05-22 13:25 Tobias Klausmann
2017-05-22  9:25 Agostino Sarubbo
2017-05-22  8:58 Agostino Sarubbo
2017-05-19 11:15 Jeroen Roovers
2017-05-19  9:36 Lars Wendler
2017-03-01 14:52 Lars Wendler
2017-01-01 15:43 Johannes Huber
2017-01-01 14:10 Michael Palimaka
2017-01-01 12:43 Agostino Sarubbo
2016-12-29 10:45 Agostino Sarubbo
2016-06-02 19:23 Tobias Klausmann
2016-05-20  8:31 Jeroen Roovers
2016-04-06 12:26 Agostino Sarubbo
2016-04-04  2:31 Jeroen Roovers
2016-04-03 19:08 Markus Meier
2016-03-26  7:38 Jeroen Roovers
2016-03-20 11:53 Agostino Sarubbo
2016-03-19 11:35 Agostino Sarubbo
2016-03-16 11:51 Agostino Sarubbo
2016-03-15 20:50 Tobias Klausmann
2016-03-15 16:39 Agostino Sarubbo
2016-03-13 12:29 Markus Meier
2016-03-02 13:58 Agostino Sarubbo
2016-02-27 12:13 Jeroen Roovers
2016-02-27  7:44 Jeroen Roovers
2016-02-23 15:02 Lars Wendler
2016-02-23 15:02 Lars Wendler
2015-10-05  6:39 Lars Wendler
2015-10-04 20:03 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1561844033.4d97f82d5ba9351db902435b7efc657d5c141cae.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox